diff -r -C3 -rcs asterisk/db1-ast/mpool/mpool.c asterisk1/db1-ast/mpool/mpool.c
*** asterisk/db1-ast/mpool/mpool.c	Wed Feb 12 08:59:15 2003
--- asterisk1/db1-ast/mpool/mpool.c	Thu Oct  2 20:00:51 2003
***************
*** 37,42 ****
--- 37,43 ----
  
  #include <sys/param.h>
  #include <sys/queue.h>
+ #include </usr/local/include/hqueue.h>
  #include <sys/stat.h>
  
  #include <errno.h>
Files asterisk/db1-ast/recno/CVS/Entries and asterisk1/db1-ast/recno/CVS/Entries are identical
Files asterisk/db1-ast/recno/CVS/Repository and asterisk1/db1-ast/recno/CVS/Repository are identical
Files asterisk/db1-ast/recno/CVS/Root and asterisk1/db1-ast/recno/CVS/Root are identical
Files asterisk/db1-ast/recno/extern.h and asterisk1/db1-ast/recno/extern.h are identical
Files asterisk/db1-ast/recno/rec_close.c and asterisk1/db1-ast/recno/rec_close.c are identical
Files asterisk/db1-ast/recno/rec_delete.c and asterisk1/db1-ast/recno/rec_delete.c are identical
Files asterisk/db1-ast/recno/rec_get.c and asterisk1/db1-ast/recno/rec_get.c are identical
Files asterisk/db1-ast/recno/rec_open.c and asterisk1/db1-ast/recno/rec_open.c are identical
Files asterisk/db1-ast/recno/rec_put.c and asterisk1/db1-ast/recno/rec_put.c are identical
Files asterisk/db1-ast/recno/rec_search.c and asterisk1/db1-ast/recno/rec_search.c are identical
Files asterisk/db1-ast/recno/rec_seq.c and asterisk1/db1-ast/recno/rec_seq.c are identical
Files asterisk/db1-ast/recno/rec_utils.c and asterisk1/db1-ast/recno/rec_utils.c are identical
Files asterisk/db1-ast/recno/recno.h and asterisk1/db1-ast/recno/recno.h are identical
Only in asterisk1: diff
Files asterisk/dns.c and asterisk1/dns.c are identical
Files asterisk/doc/CVS/Entries and asterisk1/doc/CVS/Entries are identical
Files asterisk/doc/CVS/Repository and asterisk1/doc/CVS/Repository are identical
Files asterisk/doc/CVS/Root and asterisk1/doc/CVS/Root are identical
Files asterisk/doc/apps.txt and asterisk1/doc/apps.txt are identical
Files asterisk/doc/channel.txt and asterisk1/doc/channel.txt are identical
Files asterisk/doc/extensions.txt and asterisk1/doc/extensions.txt are identical
Files asterisk/doc/iax.txt and asterisk1/doc/iax.txt are identical
Files asterisk/doc/linkedlists.README and asterisk1/doc/linkedlists.README are identical
Files asterisk/doc/manager.txt and asterisk1/doc/manager.txt are identical
Files asterisk/doc/model.txt and asterisk1/doc/model.txt are identical
Files asterisk/doc/modules.txt and asterisk1/doc/modules.txt are identical
Files asterisk/dsp.c and asterisk1/dsp.c are identical
Files asterisk/ecdisa.h and asterisk1/ecdisa.h are identical
Files asterisk/editline/.cvsignore and asterisk1/editline/.cvsignore are identical
Files asterisk/editline/CHANGES and asterisk1/editline/CHANGES are identical
Files asterisk/editline/CVS/Entries and asterisk1/editline/CVS/Entries are identical
Files asterisk/editline/CVS/Repository and asterisk1/editline/CVS/Repository are identical
Files asterisk/editline/CVS/Root and asterisk1/editline/CVS/Root are identical
Files asterisk/editline/INSTALL and asterisk1/editline/INSTALL are identical
Only in asterisk1/editline: Makefile
Files asterisk/editline/Makefile.in and asterisk1/editline/Makefile.in are identical
Files asterisk/editline/PLATFORMS and asterisk1/editline/PLATFORMS are identical
Files asterisk/editline/README and asterisk1/editline/README are identical
Files asterisk/editline/TEST/CVS/Entries and asterisk1/editline/TEST/CVS/Entries are identical
Files asterisk/editline/TEST/CVS/Repository and asterisk1/editline/TEST/CVS/Repository are identical
Files asterisk/editline/TEST/CVS/Root and asterisk1/editline/TEST/CVS/Root are identical
Files asterisk/editline/TEST/test.c and asterisk1/editline/TEST/test.c are identical
Files asterisk/editline/chared.c and asterisk1/editline/chared.c are identical
Files asterisk/editline/chared.h and asterisk1/editline/chared.h are identical
Files asterisk/editline/common.c and asterisk1/editline/common.c are identical
Only in asterisk1/editline: config.cache
Files asterisk/editline/config.guess and asterisk1/editline/config.guess are identical
Only in asterisk1/editline: config.h
Files asterisk/editline/config.h.in and asterisk1/editline/config.h.in are identical
Only in asterisk1/editline: config.log
Only in asterisk1/editline: config.status
Files asterisk/editline/config.sub and asterisk1/editline/config.sub are identical
Files asterisk/editline/configure and asterisk1/editline/configure are identical
Files asterisk/editline/configure.in and asterisk1/editline/configure.in are identical
Files asterisk/editline/editline.3 and asterisk1/editline/editline.3 are identical
Files asterisk/editline/editrc.5 and asterisk1/editline/editrc.5 are identical
Files asterisk/editline/el.c and asterisk1/editline/el.c are identical
Files asterisk/editline/el.h and asterisk1/editline/el.h are identical
Files asterisk/editline/emacs.c and asterisk1/editline/emacs.c are identical
Files asterisk/editline/hist.c and asterisk1/editline/hist.c are identical
Files asterisk/editline/hist.h and asterisk1/editline/hist.h are identical
Files asterisk/editline/histedit.h and asterisk1/editline/histedit.h are identical
Files asterisk/editline/history.c and asterisk1/editline/history.c are identical
Files asterisk/editline/install-sh and asterisk1/editline/install-sh are identical
Files asterisk/editline/key.c and asterisk1/editline/key.c are identical
Files asterisk/editline/key.h and asterisk1/editline/key.h are identical
Files asterisk/editline/makelist and asterisk1/editline/makelist are identical
Files asterisk/editline/map.c and asterisk1/editline/map.c are identical
Files asterisk/editline/map.h and asterisk1/editline/map.h are identical
Files asterisk/editline/np/.cvsignore and asterisk1/editline/np/.cvsignore are identical
Files asterisk/editline/np/CVS/Entries and asterisk1/editline/np/CVS/Entries are identical
Files asterisk/editline/np/CVS/Repository and asterisk1/editline/np/CVS/Repository are identical
Files asterisk/editline/np/CVS/Root and asterisk1/editline/np/CVS/Root are identical
Files asterisk/editline/np/fgetln.c and asterisk1/editline/np/fgetln.c are identical
Files asterisk/editline/np/strlcat.c and asterisk1/editline/np/strlcat.c are identical
Files asterisk/editline/np/strlcpy.c and asterisk1/editline/np/strlcpy.c are identical
Files asterisk/editline/np/unvis.c and asterisk1/editline/np/unvis.c are identical
Files asterisk/editline/np/vis.c and asterisk1/editline/np/vis.c are identical
Files asterisk/editline/np/vis.h and asterisk1/editline/np/vis.h are identical
Files asterisk/editline/parse.c and asterisk1/editline/parse.c are identical
Files asterisk/editline/parse.h and asterisk1/editline/parse.h are identical
Files asterisk/editline/prompt.c and asterisk1/editline/prompt.c are identical
Files asterisk/editline/prompt.h and asterisk1/editline/prompt.h are identical
Files asterisk/editline/read.c and asterisk1/editline/read.c are identical
Files asterisk/editline/read.h and asterisk1/editline/read.h are identical
Files asterisk/editline/readline/CVS/Entries and asterisk1/editline/readline/CVS/Entries are identical
Files asterisk/editline/readline/CVS/Repository and asterisk1/editline/readline/CVS/Repository are identical
Files asterisk/editline/readline/CVS/Root and asterisk1/editline/readline/CVS/Root are identical
Files asterisk/editline/readline/readline.h and asterisk1/editline/readline/readline.h are identical
Files asterisk/editline/readline.c and asterisk1/editline/readline.c are identical
Files asterisk/editline/refresh.c and asterisk1/editline/refresh.c are identical
Files asterisk/editline/refresh.h and asterisk1/editline/refresh.h are identical
Files asterisk/editline/search.c and asterisk1/editline/search.c are identical
Files asterisk/editline/search.h and asterisk1/editline/search.h are identical
Files asterisk/editline/sig.c and asterisk1/editline/sig.c are identical
Files asterisk/editline/sig.h and asterisk1/editline/sig.h are identical
Files asterisk/editline/sys.h and asterisk1/editline/sys.h are identical
Files asterisk/editline/term.c and asterisk1/editline/term.c are identical
Files asterisk/editline/term.h and asterisk1/editline/term.h are identical
Files asterisk/editline/tokenizer.c and asterisk1/editline/tokenizer.c are identical
Files asterisk/editline/tokenizer.h and asterisk1/editline/tokenizer.h are identical
Files asterisk/editline/tty.c and asterisk1/editline/tty.c are identical
Files asterisk/editline/tty.h and asterisk1/editline/tty.h are identical
Files asterisk/editline/vi.c and asterisk1/editline/vi.c are identical
Files asterisk/enum.c and asterisk1/enum.c are identical
Only in asterisk1: enum.c.orig
Only in asterisk1: enum.c.rej
Only in asterisk1: enum.c.rej.orig
Files asterisk/festival-1.4.1-diff and asterisk1/festival-1.4.1-diff are identical
Files asterisk/festival-1.4.2.diff and asterisk1/festival-1.4.2.diff are identical
Files asterisk/festival-1.4.3.diff and asterisk1/festival-1.4.3.diff are identical
Files asterisk/file.c and asterisk1/file.c are identical
Files asterisk/formats/.cvsignore and asterisk1/formats/.cvsignore are identical
diff -r -C3 -rcs asterisk/formats/CVS/Entries asterisk1/formats/CVS/Entries
*** asterisk/formats/CVS/Entries	Fri Oct  3 13:41:34 2003
--- asterisk1/formats/CVS/Entries	Thu Oct  2 18:21:45 2003
***************
*** 8,14 ****
  /format_mp3.c/1.5/Mon Sep  8 16:48:07 2003//
  /format_pcm.c/1.7/Mon Sep  8 16:48:07 2003//
  /format_pcm_alaw.c/1.8/Mon Sep  8 16:48:07 2003//
! /format_vox.c/1.8/Thu Oct  2 23:17:32 2003//
  /format_wav.c/1.7/Mon Sep  8 16:48:07 2003//
  /format_wav_gsm.c/1.7/Mon Sep  8 16:48:07 2003//
  /msgsm.h/1.1.1.2/Fri Mar  7 06:00:13 2003//
--- 8,14 ----
  /format_mp3.c/1.5/Mon Sep  8 16:48:07 2003//
  /format_pcm.c/1.7/Mon Sep  8 16:48:07 2003//
  /format_pcm_alaw.c/1.8/Mon Sep  8 16:48:07 2003//
! /format_vox.c/1.7/Sun Sep 21 02:59:26 2003//
  /format_wav.c/1.7/Mon Sep  8 16:48:07 2003//
  /format_wav_gsm.c/1.7/Mon Sep  8 16:48:07 2003//
  /msgsm.h/1.1.1.2/Fri Mar  7 06:00:13 2003//
Files asterisk/formats/CVS/Repository and asterisk1/formats/CVS/Repository are identical
Files asterisk/formats/CVS/Root and asterisk1/formats/CVS/Root are identical
Files asterisk/formats/Makefile and asterisk1/formats/Makefile are identical
Files asterisk/formats/format_g723.c and asterisk1/formats/format_g723.c are identical
Files asterisk/formats/format_g729.c and asterisk1/formats/format_g729.c are identical
Files asterisk/formats/format_gsm.c and asterisk1/formats/format_gsm.c are identical
Files asterisk/formats/format_h263.c and asterisk1/formats/format_h263.c are identical
Files asterisk/formats/format_jpeg.c and asterisk1/formats/format_jpeg.c are identical
Files asterisk/formats/format_mp3.c and asterisk1/formats/format_mp3.c are identical
Files asterisk/formats/format_pcm.c and asterisk1/formats/format_pcm.c are identical
Files asterisk/formats/format_pcm_alaw.c and asterisk1/formats/format_pcm_alaw.c are identical
diff -r -C3 -rcs asterisk/formats/format_vox.c asterisk1/formats/format_vox.c
*** asterisk/formats/format_vox.c	Thu Oct  2 19:17:32 2003
--- asterisk1/formats/format_vox.c	Sat Sep 20 22:59:26 2003
***************
*** 33,39 ****
  #endif
  
  #define BUF_SIZE 80		/* 160 samples */
- #define BUF_SHIFT	5
  
  struct ast_filestream {
  	void *reserved[AST_RESERVED_POINTERS];
--- 33,38 ----
***************
*** 42,54 ****
  	struct ast_frame fr;				/* Frame information */
  	char waste[AST_FRIENDLY_OFFSET];	/* Buffer for sending frames, etc */
  	char empty;							/* Empty character */
! 	unsigned char buf[BUF_SIZE + BUF_SHIFT];	/* Output Buffer */
  	int lasttimeout;
  	struct timeval last;
  	short signal;						/* Signal level (file side) */
  	short ssindex;						/* Signal ssindex (file side) */
- 	unsigned char zero_count;				/* counter of consecutive zero samples */
- 	unsigned char next_flag;
  };
  
  
--- 41,51 ----
  	struct ast_frame fr;				/* Frame information */
  	char waste[AST_FRIENDLY_OFFSET];	/* Buffer for sending frames, etc */
  	char empty;							/* Empty character */
! 	unsigned char buf[BUF_SIZE + 3];				/* Output Buffer */
  	int lasttimeout;
  	struct timeval last;
  	short signal;						/* Signal level (file side) */
  	short ssindex;						/* Signal ssindex (file side) */
  };
  
  
***************
*** 98,145 ****
   *  Sets the index to the step size table for the next encode.
   */
  
! static inline void 
! decode (unsigned char encoded, short *ssindex, short *signal, unsigned char *rkey, unsigned char *next)
  {
    short diff, step;
    step = stpsz[*ssindex];
! 
!   diff = step * nbl2bit[encoded][1] +
! 		(step >> 1) * nbl2bit[encoded][2] +
! 		(step >> 2) * nbl2bit[encoded][3] +
! 		(step >> 3);
!   if (nbl2bit[encoded][2] && (step & 0x1))
! 	diff++;
!   diff *= nbl2bit[encoded][0];
! 
!   if ( *next & 0x1 )
!         *signal -= 8;
!   else if ( *next & 0x2 )
!         *signal += 8;
! 
!   *signal += diff;
! 
!   if (*signal > 2047)
! 	*signal = 2047;
!   else if (*signal < -2047)
! 	*signal = -2047;
! 
!   *next = 0;
!   if( encoded & 0x7 )
!         *rkey = 0;
!   else if ( ++(*rkey) == 24 ) {
! 	*rkey = 0;
! 	if (*signal > 0)
! 		*next = 0x1;
! 	else if (*signal < 0)
! 		*next = 0x2;
!   }
! 
    *ssindex = *ssindex + indsft[(encoded & 7)];
    if (*ssindex < 0)
      *ssindex = 0;
    else if (*ssindex > 48)
      *ssindex = 48;
  }
  
  /*
--- 95,115 ----
   *  Sets the index to the step size table for the next encode.
   */
  
! static inline short
! decode (unsigned char encoded, short *ssindex)
  {
    short diff, step;
    step = stpsz[*ssindex];
!   diff = nbl2bit[encoded][0] * (step * nbl2bit[encoded][1] +
! 				(step >> 1) * nbl2bit[encoded][2] +
! 				(step >> 2) * nbl2bit[encoded][3] +
! 				(step >> 3));
    *ssindex = *ssindex + indsft[(encoded & 7)];
    if (*ssindex < 0)
      *ssindex = 0;
    else if (*ssindex > 48)
      *ssindex = 48;
+   return (diff);
  }
  
  /*
***************
*** 159,165 ****
  {
    short diff, step;
    unsigned char encoded;
-   unsigned char zero_count, next_flag;
    step = stpsz[*ssindex];
    /* 
     * Clip csig if too large or too small
--- 129,134 ----
***************
*** 191,198 ****
    if (diff >= step)
      encoded |= 1;
      
!   decode (encoded, ssindex, signal, &zero_count, &next_flag);
! 
    return (encoded);
  }
  
--- 160,166 ----
    if (diff >= step)
      encoded |= 1;
      
!   *signal += decode (encoded, ssindex);
    return (encoded);
  }
  
***************
*** 265,276 ****
  	int res;
  	int x;
  	/* Send a frame from the file to the appropriate channel */
  	s->fr.frametype = AST_FRAME_VOICE;
  	s->fr.subclass = AST_FORMAT_ADPCM;
  	s->fr.offset = AST_FRIENDLY_OFFSET;
  	s->fr.mallocd = 0;
  	s->fr.data = s->buf;
! 	if ((res = read(s->fd, s->buf + BUF_SHIFT, BUF_SIZE)) < 1) {
  		if (res)
  			ast_log(LOG_WARNING, "Short read (%d) (%s)!\n", res, strerror(errno));
  		return NULL;
--- 233,245 ----
  	int res;
  	int x;
  	/* Send a frame from the file to the appropriate channel */
+ 
  	s->fr.frametype = AST_FRAME_VOICE;
  	s->fr.subclass = AST_FORMAT_ADPCM;
  	s->fr.offset = AST_FRIENDLY_OFFSET;
  	s->fr.mallocd = 0;
  	s->fr.data = s->buf;
! 	if ((res = read(s->fd, s->buf + 3, BUF_SIZE)) < 1) {
  		if (res)
  			ast_log(LOG_WARNING, "Short read (%d) (%s)!\n", res, strerror(errno));
  		return NULL;
***************
*** 279,293 ****
  	s->buf[0] = s->ssindex & 0xff;
  	s->buf[1] = (s->signal >> 8) & 0xff;
  	s->buf[2] = s->signal & 0xff;
- 	s->buf[3] = s->zero_count;
- 	s->buf[4] = s->next_flag;
  	/* Do the decoder to be sure we get the right stuff in the signal and index fields. */
! 	for (x=BUF_SHIFT;x<res+BUF_SHIFT;x++) {
! 		decode (s->buf[x] >> 4, &s->ssindex, &s->signal, &s->zero_count, &s->next_flag);
! 		decode (s->buf[x] & 0xf, &s->ssindex, &s->signal, &s->zero_count, &s->next_flag);
  	}
  	s->fr.samples = res * 2;
! 	s->fr.datalen = res + BUF_SHIFT;
  	*whennext = s->fr.samples;
  	return &s->fr;
  }
--- 248,260 ----
  	s->buf[0] = s->ssindex & 0xff;
  	s->buf[1] = (s->signal >> 8) & 0xff;
  	s->buf[2] = s->signal & 0xff;
  	/* Do the decoder to be sure we get the right stuff in the signal and index fields. */
! 	for (x=3;x<res+3;x++) {
! 		s->signal += decode(s->buf[x] >> 4, &s->ssindex);
! 		s->signal += decode(s->buf[x] & 0xf, &s->ssindex);
  	}
  	s->fr.samples = res * 2;
! 	s->fr.datalen = res + 3;
  	*whennext = s->fr.samples;
  	return &s->fr;
  }
